import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/Bizmundo/246821fffd9f3ed3c1c25f515be6eb6e/raw/StopNsearchKentUk%252007-2009.csv';
export var fdata;
export const getData = async () => {
  const data = await csv(csvUrl);
  
  
  function percent(myData, ethnicity){
  
  var psData=myData.filter(function(d){return (d["Officer-defined ethnicity"]==ethnicity && d.Type=="Person search")});
	var vsData=myData.filter(function(d){return (d["Officer-defined ethnicity"]==ethnicity&& d.Type=="Vehicle search")});
	var pvsData=myData.filter(function(d){return (d["Officer-defined ethnicity"]==ethnicity &&d.Type=="Person and Vehicle search")});
  
  var psRatio=Math.round(psData.length*100/(psData.length+vsData.length+pvsData.length));
  var vsRatio=Math.round(vsData.length*100/(psData.length+vsData.length+pvsData.length));
  var pvsRatio=Math.round(pvsData.length*100/(psData.length+vsData.length+pvsData.length));
  return [ {"Race": ethnicity,"Type":"Person search", "Percentage": psRatio},
          {"Race": ethnicity,"Type":"Vehicle search", "Percentage": vsRatio},
         {"Race": ethnicity,"Type":"Person and Vehicle search", "Percentage": pvsRatio}]
  }
  
  fdata=percent(data,"Asian").concat(percent(data,"Black"),percent(data,"Mixed"),percent(data,"Other"),percent(data,"White"))
	
  
  
  
              
    

  return fdata;
};